Do you need iTunes 9.1 to update to 4.0 beta?

Discussion in 'iPhone' started by JosephBergdoll, Apr 8, 2010.

  1. JosephBergdoll macrumors 6502

    Joined:
    May 7, 2009
    Location:
    NYC
    #1
    My device's UDID is registered and I'm trying to install the beta via 9.0, but it's been stuck on "preparing iPhone for software update..." for quite awhile. Do I need 9.1 to update?
     
  2. JosephBergdoll thread starter macrumors 6502

    Joined:
    May 7, 2009
    Location:
    NYC
    #2
    Guess so. Upgraded to 9.1 and it's restoring fine now. w00t.
     

Share This Page